# $Revision: 1.6 $, $Date: 2001/08/16 08:12:56 $
Summary:	Interface to Linux IEEE-1394 subsystem
Summary(pl):	Biblioteka do obsugi podsystemu IEEE-1394
Name:		libraw1394
Version:	0.9.0
Release:	2
License:	LGPL
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(pl):	Biblioteki
Source0:	http://download.sourceforge.net/libraw1394/%{name}_%{version}.tar.gz
URL:		http://libraw1394.sourceforge.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the
connected 1394 buses to user space.  Through libraw1394/raw1394,
applications can directly send to and receive from other nodes without
requiring a kernel driver for the protocol in question.

%description -l pl
libraw1394 jest jedynym supportowanym po stronie kernela linuksowego
raw1394 subsystemu IEEE-1394, ktry zapewnia bezporedni dostp do
szyn 1394 w przestrzeni uytkownika. Poprzez libraw1394/raw1394 aplikacje
mog bezporednio wysya i otrzymywa z innych kocwek bez potrzeby
kernelowego drivera w zapytaniu.

%package devel
Summary:	libraw1394 header files
Summary(pl):	Pliki nagwkowe biblioteki libraw1394
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
libraw1394 devel package.

%description -l pl devel
Pliki nagwkowe biblioteki libraw1394.

%package static
Summary:	libraw1394 static libraries
Summary(pl):	Statyczne biblioteki do obsugi formatu IEEE-1394
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description static
libraw1394 static package.

%description static -l pl
libraw1394 - statyczne biblioteki.

%prep
%setup  -q

%build
libtoolize --copy --force
aclocal
autoconf
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

gzip -9nf README NEWS 

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {README,NEWS}*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/libraw1394
%{_aclocaldir}/libraw1394.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libraw1394.spec,v $
Revision 1.6  2001/08/16 08:12:56  blues
- Release 2
- ac 2.5 ready (requires added)

Revision 1.5  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.4  2001/05/20 14:54:20  kloczek
- updated to 0.9.0,
- added aclocal macros to devel,
- cosmetics and cleanups.

Revision 1.3  2001/05/15 23:16:34  blues
- translations added

Revision 1.2  2001/02/16 00:08:10  wrobell
- fixed descriptions and summaries
- changed prefix to default value, stb

Revision 1.1  2001/02/15 23:32:41  wrobell
- created from template

